Skip to main content

GuestLinks

Manage guest access to a filespace using guest links.

POST

/api/v1/filespaces/{filespaceId}/guest-links

Create a guest link

Creates a guest link for a filesystem entry. Provide either entryId or path to identify the target. The link grants read-only access to guests.

Parameters

Parameter

Type

Description

filespaceId

string

Required.

filespaceId

Type

string

Description

Required.

Request body

Field

Type

Description

entryId

string

The ID of the filesystem entry to create a guest link for. Provide either entryId or path.

path

string

Absolute path to the filesystem entry to create a guest link for. Provide either entryId or path.

name

string

Required. Name for the guest link.

expiresAt

string <date-time-ISO8601>

Optional expiration date for the guest link in ISO 8601 format.

entryId

Type

string

Description

The ID of the filesystem entry to create a guest link for. Provide either entryId or path.

path

Type

string

Description

Absolute path to the filesystem entry to create a guest link for. Provide either entryId or path.

name

Type

string

Description

Required. Name for the guest link.

expiresAt

Type

string <date-time-ISO8601>

Description

Optional expiration date for the guest link in ISO 8601 format.

Responses

Status

Description

201

Guest link has been successfully created.

400

1. Exactly one of entryId or path must be provided. 2. File system entry ID is invalid. 3. Paths inside LucidLink should start with a '/'. 4. Guest link expiration date must be in the future.

401

Invalid or missing credentials.

404

File system entry not found.

201

Description

Guest link has been successfully created.

400

Description

1. Exactly one of entryId or path must be provided. 2. File system entry ID is invalid. 3. Paths inside LucidLink should start with a '/'. 4. Guest link expiration date must be in the future.

401

Description

Invalid or missing credentials.

404

Description

File system entry not found.

201 response — POST /filespaces/{filespaceId}/guest-links

{    "data": {        "guestLinkId": "cm1abc2def3ghi4jk5lm",        "linkSecret": "f82snfbZsXJzRJVfTvyiihp2ESgPn8O1_izXzYKV8zE.fwE"    }}

401 response — POST /filespaces/{filespaceId}/guest-links

{    "error": {        "message": "Invalid or expired token"    }}

404 response — POST /filespaces/{filespaceId}/guest-links

{    "error": {        "message": "File system entry not found"    }}
POST

/api/v1/filespaces/{filespaceId}/guest-links/{guestLinkId}/guests

Add guest to guest link

Adds email addresses to the access control list of a guest link. Maximum 25 emails per request.

Parameters

Parameter

Type

Description

guestLinkId

string

Required.

filespaceId

string

Required.

guestLinkId

Type

string

Description

Required.

filespaceId

Type

string

Description

Required.

Request body

Field

Type

Description

emails

string <email>[]

Required. Array of email addresses to add to the guest link ACL. Maximum 25 emails per request.

emails

Type

string <email>[]

Description

Required. Array of email addresses to add to the guest link ACL. Maximum 25 emails per request.

Responses

Status

Description

200

Emails have been successfully added. Returns the updated guest list.

400

Request body is invalid.

401

Invalid or missing credentials.

404

Resource not found or user has no access privilege.

200

Description

Emails have been successfully added. Returns the updated guest list.

400

Description

Request body is invalid.

401

Description

Invalid or missing credentials.

404

Description

Resource not found or user has no access privilege.

200 response — POST /filespaces/{filespaceId}/guest-links/{guestLinkId}/guests

{    "data": [        {            "guestLinkId": "cm1abc2def3ghi4jk5lm",            "email": "guest@example.com",            "createdByMemberId": "7a3b9c1d-2e4f-5a6b-8c9d-0e1f2a3b4c5d",            "createdAt": "2026-01-15T10:30:00Z",            "lastUsedAt": null        }    ]}

401 response — POST /filespaces/{filespaceId}/guest-links/{guestLinkId}/guests

{    "error": {        "message": "Invalid or expired token"    }}

404 response — POST /filespaces/{filespaceId}/guest-links/{guestLinkId}/guests

{    "error": {        "message": "Resource not found or user has no access privilege"    }}